package com.ruoyi.dw.mapper;

import java.util.List;
import com.ruoyi.dw.domain.CjOption;

/**
 * 数据采集选项Mapper接口
 * 
 * @author sunyg
 * @date 2025-06-26
 */
public interface CjOptionMapper 
{
    /**
     * 查询数据采集选项
     * 
     * @param id 数据采集选项主键
     * @return 数据采集选项
     */
    public CjOption selectCjOptionById(Long id);

    /**
     * 查询数据采集选项列表
     * 
     * @param cjOption 数据采集选项
     * @return 数据采集选项集合
     */
    public List<CjOption> selectCjOptionList(CjOption cjOption);

    /**
     * 新增数据采集选项
     * 
     * @param cjOption 数据采集选项
     * @return 结果
     */
    public int insertCjOption(CjOption cjOption);

    /**
     * 修改数据采集选项
     * 
     * @param cjOption 数据采集选项
     * @return 结果
     */
    public int updateCjOption(CjOption cjOption);

    /**
     * 删除数据采集选项
     * 
     * @param id 数据采集选项主键
     * @return 结果
     */
    public int deleteCjOptionById(Long id);

    /**
     * 批量删除数据采集选项
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCjOptionByIds(Long[] ids);
}
