package com.ruoyi.dw.mapper;

import java.util.List;
import java.util.Map;
import java.util.Objects;

import com.ruoyi.dw.domain.DwIndexConfig;
import com.ruoyi.dw.domain.vo.AnswerCountVo;
import org.apache.ibatis.annotations.Param;

/**
 * 调查问卷统计展示Mapper接口
 * 
 * @author sunyg
 * @date 2025-06-27
 */
public interface DwIndexConfigMapper 
{
    /**
     * 查询调查问卷统计展示
     * 
     * @param id 调查问卷统计展示主键
     * @return 调查问卷统计展示
     */
    public DwIndexConfig selectDwIndexConfigById(Long id);

    /**
     * 查询调查问卷统计展示列表
     * 
     * @param dwIndexConfig 调查问卷统计展示
     * @return 调查问卷统计展示集合
     */
    public List<DwIndexConfig> selectDwIndexConfigList(DwIndexConfig dwIndexConfig);

    /**
     * 新增调查问卷统计展示
     * 
     * @param dwIndexConfig 调查问卷统计展示
     * @return 结果
     */
    public int insertDwIndexConfig(DwIndexConfig dwIndexConfig);

    /**
     * 修改调查问卷统计展示
     * 
     * @param dwIndexConfig 调查问卷统计展示
     * @return 结果
     */
    public int updateDwIndexConfig(DwIndexConfig dwIndexConfig);

    /**
     * 删除调查问卷统计展示
     * 
     * @param id 调查问卷统计展示主键
     * @return 结果
     */
    public int deleteDwIndexConfigById(Long id);

    /**
     * 批量删除调查问卷统计展示
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDwIndexConfigByIds(Long[] ids);

    /**
     * 根据问题id进行统计
     * @param questionIds
     * @return
     */
    public List<AnswerCountVo> selectIndex(@Param("questionIds") String[] questionIds, @Param("infoId") Long infoId);
}
