package com.ruoyi.dw.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.dw.domain.DwIndexConfig;

/**
 * 调查问卷统计展示Service接口
 * 
 * @author sunyg
 * @date 2025-06-27
 */
public interface IDwIndexConfigService 
{
    /**
     * 查询调查问卷统计展示
     * 
     * @param id 调查问卷统计展示主键
     * @return 调查问卷统计展示
     */
    public DwIndexConfig selectDwIndexConfigById(Long id);

    /**
     * 查询调查问卷统计展示列表
     * 
     * @param dwIndexConfig 调查问卷统计展示
     * @return 调查问卷统计展示集合
     */
    public List<DwIndexConfig> selectDwIndexConfigList(DwIndexConfig dwIndexConfig);

    /**
     * 新增调查问卷统计展示
     * 
     * @param dwIndexConfig 调查问卷统计展示
     * @return 结果
     */
    public int insertDwIndexConfig(DwIndexConfig dwIndexConfig);

    /**
     * 修改调查问卷统计展示
     * 
     * @param dwIndexConfig 调查问卷统计展示
     * @return 结果
     */
    public int updateDwIndexConfig(DwIndexConfig dwIndexConfig);

    /**
     * 批量删除调查问卷统计展示
     * 
     * @param ids 需要删除的调查问卷统计展示主键集合
     * @return 结果
     */
    public int deleteDwIndexConfigByIds(Long[] ids);

    /**
     * 删除调查问卷统计展示信息
     * 
     * @param id 调查问卷统计展示主键
     * @return 结果
     */
    public int deleteDwIndexConfigById(Long id);

    /**
     * 获取首页的四个展位数据
     * @return
     */
    public Map<String, Object> getIndex();
}
