package com.ruoyi.dw.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dw.mapper.CjStudentMapper;
import com.ruoyi.dw.domain.CjStudent;
import com.ruoyi.dw.service.ICjStudentService;

/**
 * 采集学生信息Service业务层处理
 * 
 * @author sunyg
 * @date 2025-06-26
 */
@Service
public class CjStudentServiceImpl implements ICjStudentService 
{
    @Autowired
    private CjStudentMapper cjStudentMapper;

    /**
     * 查询采集学生信息
     * 
     * @param id 采集学生信息主键
     * @return 采集学生信息
     */
    @Override
    public CjStudent selectCjStudentById(Long id)
    {
        return cjStudentMapper.selectCjStudentById(id);
    }

    /**
     * 查询采集学生信息列表
     * 
     * @param cjStudent 采集学生信息
     * @return 采集学生信息
     */
    @Override
    public List<CjStudent> selectCjStudentList(CjStudent cjStudent)
    {
        return cjStudentMapper.selectCjStudentList(cjStudent);
    }

    /**
     * 新增采集学生信息
     * 
     * @param cjStudent 采集学生信息
     * @return 结果
     */
    @Override
    public int insertCjStudent(CjStudent cjStudent)
    {
        return cjStudentMapper.insertCjStudent(cjStudent);
    }

    /**
     * 修改采集学生信息
     * 
     * @param cjStudent 采集学生信息
     * @return 结果
     */
    @Override
    public int updateCjStudent(CjStudent cjStudent)
    {
        return cjStudentMapper.updateCjStudent(cjStudent);
    }

    /**
     * 批量删除采集学生信息
     * 
     * @param ids 需要删除的采集学生信息主键
     * @return 结果
     */
    @Override
    public int deleteCjStudentByIds(Long[] ids)
    {
        return cjStudentMapper.deleteCjStudentByIds(ids);
    }

    /**
     * 删除采集学生信息信息
     * 
     * @param id 采集学生信息主键
     * @return 结果
     */
    @Override
    public int deleteCjStudentById(Long id)
    {
        return cjStudentMapper.deleteCjStudentById(id);
    }

    @Override
    public int confirmCjStudent(Long[] ids) {
        return cjStudentMapper.confirmCjStudentByIds(ids);
    }

}
