package com.ruoyi.dw.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dw.mapper.DwInfoMapper;
import com.ruoyi.dw.domain.DwInfo;
import com.ruoyi.dw.service.IDwInfoService;

/**
 * 调查问卷主体Service业务层处理
 * 
 * @author sunyg
 * @date 2025-06-26
 */
@Service
public class DwInfoServiceImpl implements IDwInfoService 
{
    @Autowired
    private DwInfoMapper dwInfoMapper;

    /**
     * 查询调查问卷主体
     * 
     * @param id 调查问卷主体主键
     * @return 调查问卷主体
     */
    @Override
    public DwInfo selectDwInfoById(Long id)
    {
        return dwInfoMapper.selectDwInfoById(id);
    }

    /**
     * 查询调查问卷主体列表
     * 
     * @param dwInfo 调查问卷主体
     * @return 调查问卷主体
     */
    @Override
    public List<DwInfo> selectDwInfoList(DwInfo dwInfo)
    {
        return dwInfoMapper.selectDwInfoList(dwInfo);
    }

    /**
     * 新增调查问卷主体
     * 
     * @param dwInfo 调查问卷主体
     * @return 结果
     */
    @Override
    public int insertDwInfo(DwInfo dwInfo)
    {
        return dwInfoMapper.insertDwInfo(dwInfo);
    }

    /**
     * 修改调查问卷主体
     * 
     * @param dwInfo 调查问卷主体
     * @return 结果
     */
    @Override
    public int updateDwInfo(DwInfo dwInfo)
    {
        return dwInfoMapper.updateDwInfo(dwInfo);
    }

    /**
     * 批量删除调查问卷主体
     * 
     * @param ids 需要删除的调查问卷主体主键
     * @return 结果
     */
    @Override
    public int deleteDwInfoByIds(Long[] ids)
    {
        return dwInfoMapper.deleteDwInfoByIds(ids);
    }

    /**
     * 删除调查问卷主体信息
     * 
     * @param id 调查问卷主体主键
     * @return 结果
     */
    @Override
    public int deleteDwInfoById(Long id)
    {
        return dwInfoMapper.deleteDwInfoById(id);
    }
}
