package com.ruoyi.dw.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dw.mapper.DwQuestionMapper;
import com.ruoyi.dw.domain.DwQuestion;
import com.ruoyi.dw.service.IDwQuestionService;

/**
 * 调查问卷问题Service业务层处理
 * 
 * @author sunyg
 * @date 2025-06-26
 */
@Service
public class DwQuestionServiceImpl implements IDwQuestionService 
{
    @Autowired
    private DwQuestionMapper dwQuestionMapper;

    /**
     * 查询调查问卷问题
     * 
     * @param id 调查问卷问题主键
     * @return 调查问卷问题
     */
    @Override
    public DwQuestion selectDwQuestionById(Long id)
    {
        return dwQuestionMapper.selectDwQuestionById(id);
    }

    /**
     * 查询调查问卷问题列表
     * 
     * @param dwQuestion 调查问卷问题
     * @return 调查问卷问题
     */
    @Override
    public List<DwQuestion> selectDwQuestionList(DwQuestion dwQuestion)
    {
        return dwQuestionMapper.selectDwQuestionList(dwQuestion);
    }

    /**
     * 新增调查问卷问题
     * 
     * @param dwQuestion 调查问卷问题
     * @return 结果
     */
    @Override
    public int insertDwQuestion(DwQuestion dwQuestion)
    {
        return dwQuestionMapper.insertDwQuestion(dwQuestion);
    }

    /**
     * 修改调查问卷问题
     * 
     * @param dwQuestion 调查问卷问题
     * @return 结果
     */
    @Override
    public int updateDwQuestion(DwQuestion dwQuestion)
    {
        return dwQuestionMapper.updateDwQuestion(dwQuestion);
    }

    /**
     * 批量删除调查问卷问题
     * 
     * @param ids 需要删除的调查问卷问题主键
     * @return 结果
     */
    @Override
    public int deleteDwQuestionByIds(Long[] ids)
    {
        return dwQuestionMapper.deleteDwQuestionByIds(ids);
    }

    /**
     * 删除调查问卷问题信息
     * 
     * @param id 调查问卷问题主键
     * @return 结果
     */
    @Override
    public int deleteDwQuestionById(Long id)
    {
        return dwQuestionMapper.deleteDwQuestionById(id);
    }

    @Override
    public int importDwQuestion(List<DwQuestion> dwQuestionList) {

        return 0;
    }

}
